# Information Schema CHARACTER\_SETS Table

The [Information Schema](/docs/server/reference/system-tables/information-schema.md) `CHARACTER_SETS` table contains a list of supported [character sets](/docs/server/reference/data-types/string-data-types/character-sets.md), their default collations and maximum lengths.

It contains the following columns:

| Column                 | Description                |
| ---------------------- | -------------------------- |
| CHARACTER\_SET\_NAME   | Name of the character set. |
| DEFAULT\_COLLATE\_NAME | Default collation used.    |
| DESCRIPTION            | Character set description. |
| MAXLEN                 | Maximum length.            |

The [SHOW CHARACTER SET](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-character-set.md) statement returns the same results (although in a different order), and both can be refined in the same way. For example, the following two statements return the same results:

```sql
SHOW CHARACTER SET WHERE Maxlen LIKE '2';
```

and

```sql
SELECT * FROM information_schema.CHARACTER_SETS 
WHERE MAXLEN LIKE '2';
```

See [Setting Character Sets and Collations](/docs/server/reference/data-types/string-data-types/character-sets/setting-character-sets-and-collations.md) for details on specifying the character set at the server, database, table and column levels, and [Supported Character Sets and Collations](/docs/server/reference/data-types/string-data-types/character-sets/supported-character-sets-and-collations.md) for a full list of supported characters sets and collations.

## Example

```sql
SELECT CHARACTER_SET_NAME FROM information_schema.CHARACTER_SETS 
WHERE DEFAULT_COLLATE_NAME LIKE '%chinese%';
+--------------------+
| CHARACTER_SET_NAME |
+--------------------+
| big5               |
| gb2312             |
| gbk                |
+--------------------+
```

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-character_sets-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
